<html>
<body>

<p><b>This example creates a Tag-List with Attributes</b></p>

<p>The output of this example is the following XML file:</p>

<pre>
WCCOAui1:["Xml-Document = ...
WCCOAui1:&lt;Spaghetti-Bolognese>
WCCOAui1: &lt;Minced-Meat amount="800g"/>
WCCOAui1: &lt;Tomato-Concentrate amount="280g"/>
WCCOAui1: &lt;Peeled-Tomatoes amount="1.6kg" type="Italian"/>
WCCOAui1: &lt;Pasta-Mix-of-Spices/>
WCCOAui1: &lt;Dried-Oregano-Powder/>
WCCOAui1: &lt;Cutup-Shallots amount="6 big ones"/>
WCCOAui1: &lt;Sliced-Champignons amount="12 pieces" type="...de Paris"/>
WCCOAui1: &lt;Other-Ingredients pepper="chili" salt="optional" oil="Olive"/>
WCCOAui1:&lt;/Spaghetti-Bolognese>
WCCOAui1:"]
</pre>

<p>One creates first the top-element container:</p>

<pre>
root = xmlAppendChild ( document , -1 , XML_ELEMENT_NODE , "Spaghetti-Bolognese" );
</pre>

<p>The code in the example then calls only ONCE the 'fwXml_appendChildContent()' function:</p>

<pre>
fwXml_appendChildContent ( document , root , sause_content , sause_various , empty_v , exceptionInfo );
</pre>

<p>The return parameter 'exceptionInfo' indicates the user of any errors...</p>

<p>The dynamic string 'sause_content' and 'sause_various' contain all the necessary information:</p>

<pre>
  sause_content = makeDynString (
      "Minced-Meat",
      "Tomato-Concentrate",
      "Peeled-Tomatoes",
      "Pasta-Mix-of-Spices",
      "Dried-Oregano-Powder",
      "Cutup-Shallots",
      "Sliced-Champignons",
      "Other-Ingredients" );
	  
  meat["amount"] = "800g";
  conc["amount"] = "280g";
  toma["amount"] = "1.6kg";
  toma["type"]   = "Italian";
  shal["amount"] = "6 big ones";
  cham["amount"] = "12 pieces";
  cham["type"]   = "...de Paris";
  ingr["oil"]    = "Olive";
  ingr["pepper"] = "chili";
  ingr["salt"]   = "optional";

  sause_various = makeDynAnytype();
  
  dynAppend(sause_various,meat);
  dynAppend(sause_various,conc);
  dynAppend(sause_various,toma);
  dynAppend(sause_various,null);
  dynAppend(sause_various,null);
  dynAppend(sause_various,shal);
  dynAppend(sause_various,cham);
  dynAppend(sause_various,ingr);
</pre>

<p>&nbsp;</p>

</body>
</html>

